Bug 392671 - jstat tool is broken
jstat tool is broken
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-20 11:06 EST by Mary Ellen Foster
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-22 09:52:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2007-11-20 11:06:27 EST
Description of problem:
Java provides a process-monitoring tool called "jstat" which seems to be broken
with IcedTea on Fedora 8. Just running jstat works, but if I try to use any
options, it produces a backtrace. Here's an example:

jstat -options
Exception in thread "main" java.lang.NullPointerException
        at sun.tools.jstat.OptionLister.print(OptionLister.java:61)
        at sun.tools.jstat.Jstat.main(Jstat.java:63)

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. jstat -options
Actual results:

Expected results:
List of options
Comment 1 Mary Ellen Foster 2007-11-20 11:50:28 EST
p.s. -- I did a bit of poking around, and it looks like the problem is actually
in sun.tools.jstat.Arguments.optionsSources() -- I suspect that maybe the second
value being put into that array is actually null (despite the assert check about
it). What happens to this.getClass().getResource(whatever) when you compile
something to an executable? It's trying to get a resource out of a jar file but
it's not being run from a jar file ...
Comment 2 Lillian Angel 2007-11-22 09:52:29 EST
This is fixed in b23, which is now in rawhide:

Name   : java-1.7.0-icedtea
Arch   : i586
Release: 0.20.b23.snapshot.fc9
Repo   : development

jstat -options

Closing bug report.

Note You need to log in before you can comment on or make changes to this bug.